# $Revision: 1.11 $, $Date: 2004/12/01 18:06:55 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Pod
%define		pnam	Tree
Summary:	Pod::Tree - create a static syntax tree for a POD
Summary(pl):	Pod::Tree - tworzenie statycznych drzew skadniowych dla POD
Name:		perl-Pod-Tree
Version:	1.11
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	bf6c249384d45c2fd4e6e25cab449de4
Patch0:		%{name}-carriage_return.patch
Patch1:		%{name}-item_warning.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-HTML-Stream
BuildRequires:	perl-Pod-Escapes
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pod::Tree parses a POD into a static syntax tree. Applications walk
the tree to recover the structure and content of the POD. See
Pod::Tree::Node manual for a description of the tree.

%description -l pl
Pod::Tree przeksztaca POD na statyczne drzewo skadniowe. Aplikacje
wdruj po drzewie w celu uzyskania struktury i zawartoci z POD. Opis
drzewa mona znale w manualu do Pod::Tree::Node.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a skeleton $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# confilcts with pod2html from perl-tools-pod
rm -f $RPM_BUILD_ROOT%{_bindir}/pod2html

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README ToDo ToDo.Not
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/Pod/*.pm
%{perl_vendorlib}/Pod/Tree
%{_mandir}/man?/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Pod-Tree.spec,v $
Revision 1.11  2004/12/01 18:06:55  radek
- autoupdated to 1.11

Revision 1.10  2004/11/03 22:30:40  paladine
- formatting

Revision 1.9  2004/10/31 22:53:42  paladine
- spaces->tabs
- formatting

Revision 1.8  2004/06/13 21:24:19  radek
- forgontten: apply the patch

Revision 1.7  2004/06/13 21:20:22  radek
- release 3: added -item_warning.patch

Revision 1.6  2004/06/05 21:55:14  adamg
- be less destructive (remove only pod2html binary)

Revision 1.5  2004/06/05 21:50:50  adamg
- do not include pod2html binary, conflicts with pod2html from
  perl-tools-pod - which one to choose?

Revision 1.4  2004/06/05 19:05:39  radek
- added -carriage_return.patch (y/\r//d on input files)

Revision 1.3  2004/06/05 14:01:16  qboosh
- pl, 755 for bindir files

Revision 1.2  2004/06/05 12:17:37  radek
- skeleton to %_examplesdir

Revision 1.1  2004/06/05 12:09:00  radek
- new
